Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1303611 - QtWebEngine
QtWebEngine
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Kofler
Simon Clark
ChangeAcceptedF24, SelfContainedChange
:
Depends On: qt5-qtwebengine/qtwebengine 1298145
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 07:42 EST by Jan Kurik
Modified: 2016-09-29 07:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-29 07:25:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
simon.richard.clark: fedora_requires_release_note+


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-02-01 07:42:12 EST
This is a tracking bug for Change: QtWebEngine
For more details, see: https://fedoraproject.org//wiki/Changes/QtWebEngine

QtWebEngine will be packaged for Fedora, initially at version 5.6. In addition, the QupZilla browser will be upgraded to the QtWebEngine-based QupZilla 2.
Comment 1 Jan Kurik 2016-02-24 09:26:02 EST
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.
Comment 2 Kevin Kofler 2016-02-24 12:17:00 EST
This has been testable for a while.
Comment 3 Simon Clark 2016-04-17 15:48:04 EDT
I have added release notes text (mainly taken from the change description) to the draft F24 Release Notes here: https://git.fedorahosted.org/cgit/docs/release-notes.git/plain/en-US/Development_Web.xml

Please would you take a look at the draft and let me know if anything should be added or changed?
Comment 4 Kevin Kofler 2016-04-18 07:32:27 EDT
The text looks fine, but I wonder whether "Web Development" is a suitable place for it. Isn't that usually associated with development of web sites (server-side) rather than web browsers (client-side)?
Comment 5 Jan Kurik 2016-04-20 11:02:01 EDT
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 6 Simon Clark 2016-04-20 17:31:33 EDT
(In reply to Kevin Kofler from comment #4)
> The text looks fine, but I wonder whether "Web Development" is a suitable
> place for it. Isn't that usually associated with development of web sites
> (server-side) rather than web browsers (client-side)?

Thank you for your feedback. I take your point and so I propose to split the announcement across two sections in the release notes.  I will move the QtWebEngine paragraph out of "Web Development" to the "Development" section and move the QupZilla browser paragraph to the "Desktop" chapter, next to the Firefox entry. Does that seem better to you?
Comment 7 Kevin Kofler 2016-04-20 18:36:55 EDT
(In reply to Jan Kurik from comment #5)
> On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete
> Deadline" milestone for Fedora 24 release. At this point all the Changes not
> at least in in "ON_QA" state should be brought to FESCo for review. Please
> update the state of this bug to "ON_QA" if it is already 100% completed.
> Please let me know in case you have any trouble with the implementation and
> the Change needs any help or review.

This feature is 100% complete, we have stable versions of QtWebEngine (5.6.0) and QupZilla 2 (2.0.0) in the Fedora 24 branch (and in Rawhide) now.
Comment 8 Kevin Kofler 2016-04-20 18:37:27 EDT
(In reply to Simon Clark from comment #6)
> (In reply to Kevin Kofler from comment #4)
> > The text looks fine, but I wonder whether "Web Development" is a suitable
> > place for it. Isn't that usually associated with development of web sites
> > (server-side) rather than web browsers (client-side)?
> 
> Thank you for your feedback. I take your point and so I propose to split the
> announcement across two sections in the release notes.  I will move the
> QtWebEngine paragraph out of "Web Development" to the "Development" section
> and move the QupZilla browser paragraph to the "Desktop" chapter, next to
> the Firefox entry. Does that seem better to you?

Yes, it does.

Note You need to log in before you can comment on or make changes to this bug.